Package com.databricks.jdbc.common.safe

## Class DatabricksDriverFeatureFlagsContextFactory

- java.lang.Object
- - com.databricks.jdbc.common.safe.DatabricksDriverFeatureFlagsContextFactory

    public class DatabricksDriverFeatureFlagsContextFactory
    extends Object

Factory class to manage DatabricksDriverFeatureFlagsContext instances

### Method Summary

All Methods Static Methods Concrete Methods
`static DatabricksDriverFeatureFlagsContext` `getInstance​(IDatabricksConnectionContext context)` Gets or creates a DatabricksDriverFeatureFlagsContext instance for the given compute
`static void` `removeInstance​(IDatabricksConnectionContext connectionContext)` Removes the DatabricksDriverFeatureFlagsContext instance for the given compute.
`static void` `setFeatureFlagsContext​(IDatabricksConnectionContext connectionContext, Map<String,​String> featureFlags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static DatabricksDriverFeatureFlagsContext getInstance​(IDatabricksConnectionContext context)

Gets or creates a DatabricksDriverFeatureFlagsContext instance for the given compute

Parameters:
  `context` - the connection context
Returns:
  the DatabricksDriverFeatureFlagsContext instance

#### removeInstance

    public static void removeInstance​(IDatabricksConnectionContext connectionContext)

Removes the DatabricksDriverFeatureFlagsContext instance for the given compute.

Parameters:
  `connectionContext` - the connection context

#### setFeatureFlagsContext

    public static void setFeatureFlagsContext​(IDatabricksConnectionContext connectionContext,
                                              Map<String,​String> featureFlags)